/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.RFQ;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class RFQ {
    public void makeRFQ() {
    }

    public void addDetail() {
    }

    /**  */
    public BigDecimal calculateTotalAnticipated() {
        if (totalAnticipated.intValue() == 0) {
            recalculateTotalAnticipated();
        }
        return totalAnticipated;
    }

    public BigDecimal recalculateTotalAnticipated() {
        // calc total and set totalAnticipated attribute
        return totalAnticipated;
    }

    public void complete() {
    }

    public void cancel() {
    }

    public void issue() {
    }

    public Vector mi_listRFQAnswersByPrice() {
        return new Vector();
    }

    public Vector mi_assessRFQToDelivery() {
        return new Vector();
    }

    public static Vector listRFQs() {
        return new Vector();
    }

    public static BigDecimal calcAvgRFQ() {
        return new BigDecimal(0);
    }

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private RFQDetail lnkUnnamed;
    private String number;
    private Date dateCompleted;
    private Date dateSent;
    private Date dateDue;
    private int priority;
    private String conditions;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1
     * @supplierRole all,accepted
     */
    private RFQAnswer lnkUnnamed3;

    /** @supplierCardinality 1 */
    private IMakeRFQ lnkUnnamed2;
    private BigDecimal totalAnticipated;
    private int status;
}


